net.sf.okapi.common.annotation

## Class XLIFFPhaseAnnotation

- java.lang.Object
- - net.sf.okapi.common.annotation.XLIFFPhaseAnnotation

- All Implemented Interfaces:
    IAnnotation

      public class XLIFFPhaseAnnotation
      extends java.lang.Object
      implements IAnnotation

  Annotation used to expose the %lt;phase-group> element containing the multiple phases in a %lt;file> element when attached to a StartSubDocument event or resolve the phase-name reference otherwise.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLIFFPhaseAnnotation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(XLIFFPhase phase)` Add a dereferenced phase element to the annotation.
    `void` | `add(XLIFFPhase phase, StartSubDocument startSubDoc)` Add a parsed %lt;phase> element to a StartSubDocument Event.
    `XLIFFPhase` | `get(java.lang.String phaseName)`
    `XLIFFPhase` | `getReferencedPhase()`
    `java.lang.String` | `toXML()`
    `void` | `updatePhaseAnnotation(StartSubDocument startSubDoc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.okapi.common.annotation.IAnnotation

      `toString`

- - ### Constructor Detail

    - #### XLIFFPhaseAnnotation

          public XLIFFPhaseAnnotation()

  - ### Method Detail

    - #### add

          public void add(XLIFFPhase phase)

      Add a dereferenced phase element to the annotation.
      Parameters:
        `phase` - - XLIFFPhase pulled from a StartSubDocument using the phase-name attribute.

    - #### add

          public void add(XLIFFPhase phase,
                 StartSubDocument startSubDoc)

      Add a parsed %lt;phase> element to a StartSubDocument Event.
      Parameters:
        `phase` -
        `startSubDoc` -

    - #### get

          public XLIFFPhase get(java.lang.String phaseName)

    - #### getReferencedPhase

          public XLIFFPhase getReferencedPhase()

    - #### updatePhaseAnnotation

          public void updatePhaseAnnotation(StartSubDocument startSubDoc)

    - #### toXML

          public java.lang.String toXML()